ZSERI(3)

SYNOPSIS
SUBROUTINE ZSERI (ZR, ZI, FNU, KODE, N, YR, YI, NZ, TOL, ELIM, + ALIM)

NAME
zseri - Subsidiary to ZBESI and ZBESK

LIBRARY
SLATEC

TYPE
ALL (CSERI-A, ZSERI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
ZSERI COMPUTES THE I BESSEL FUNCTION FOR REAL(Z).GE.0.0 BY MEANS OF THE POWER SERIES FOR LARGE ABS(Z) IN THE REGION ABS(Z).LE.2*SQRT(FNU+1). NZ=0 IS A NORMAL RETURN. NZ.GT.0 MEANS THAT THE LAST NZ COMPONENTS WERE SET TO ZERO DUE TO UNDERFLOW. NZ.LT.0 MEANS UNDERFLOW OCCURRED, BUT THE CONDITION ABS(Z).LE.2*SQRT(FNU+1) WAS VIOLATED AND THE COMPUTATION MUST BE COMPLETED IN ANOTHER ROUTINE WITH N=N-ABS(NZ).

SEE ALSO
ZBESI, ZBESK

ROUTINES CALLED
D1MACH, DGAMLN, ZABS, ZDIV, ZLOG, ZMLT, ZUCHK

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)
930122 Added ZLOG to EXTERNAL statement. (RWC)